Search AIConversation

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/aiconversation

You can only retrieve AI conversations accessible to you.

Include AIMessage resource when you also want the user and assistant messages in each conversation, optionally with a nested AIMessageAsset included inside the AIMessage resources (to load persisted chart assets).

Request parametersResponse schema
Expand all Reset
find *OBJECTrequired
where OBJECT
attributes ARRAY[STRING]
include ARRAY[OBJECT]
order ARRAY
limit NUMBER
offset NUMBER
Can be executed by:
Entity Owner
Can be associated to:
User
AIMessage
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
composer require luzmo/luzmo-sdk-php
Example Response
200
400
500
{
  "count": 2,
  "rows": [
    {
      "id": "fdce930b-4f6d-4d2b-8a43-7ea7d62457a2",
      "user_id": "444e2d0c-8dfb-45c1-bb97-52cb9264671f",
      "title": "Revenue history",
      "created_at": "2026-05-14T10:03:10.000Z",
      "updated_at": "2026-05-14T10:15:26.000Z",
      "aiMessages": [
        {
          "id": "1f3bb2f4-7589-40bc-b7d2-9a84b446d9ef",
          "conversation_id": "fdce930b-4f6d-4d2b-8a43-7ea7d62457a2",
          "message": "Show monthly revenue as a line chart.",
          "role": "user",
          "agent": "item",
          "task": "generate",
          "locale_id": "en",
          "created_at": "2026-05-14T10:03:11.000Z",
          "updated_at": "2026-05-14T10:03:11.000Z"
        }
      ]
    },
    {
      "id": "ab9f1ce1-1f43-4e87-8e04-f3393183660f",
      "user_id": "444e2d0c-8dfb-45c1-bb97-52cb9264671f",
      "title": "Margin follow-up",
      "created_at": "2026-05-13T09:12:05.000Z",
      "updated_at": "2026-05-13T09:16:42.000Z",
      "aiMessages": [
        {
          "id": "9a0a3bc2-36a2-486f-8628-17f7d4d073a0",
          "conversation_id": "ab9f1ce1-1f43-4e87-8e04-f3393183660f",
          "message": "Compare margin by region.",
          "role": "user",
          "agent": "item",
          "task": "generate",
          "locale_id": "en",
          "created_at": "2026-05-13T09:12:06.000Z",
          "updated_at": "2026-05-13T09:12:06.000Z"
        }
      ]
    }
  ]
}